Name:           python-tg-devtools
Version:        2.3.0
Release:        0.2%{?dist}
Summary:        Development tools and templates for TurboGears2

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org
Source0:        http://unstable.tg.gy/20130313/tg.devtools-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-setuptools python-nose python-coverage
BuildRequires:  python-repoze-tm2
BuildRequires:  python-turbokid >= 1.0.4
BuildRequires:  python-turbojson >= 1.3
BuildRequires:  python-zope-sqlalchemy >= 0.4
BuildRequires:  python-webtest >= 1.2.3
BuildRequires:  python-babel >= 0.9.4
BuildRequires:  python-sqlalchemy >= 0.5
BuildRequires:  python-tgext-admin >= 0.3.9
BuildRequires:  TurboGears2 >= 2.3.0

Requires:       TurboGears2 >= 2.3.0
Requires:       python-repoze-tm2
Requires:       python-turbokid >= 1.0.4
Requires:       python-turbojson >= 1.3
Requires:       python-zope-sqlalchemy >= 0.4
Requires:       python-babel >= 0.9.4
Requires:       python-sqlalchemy >= 0.5
Requires:       python-tgext-admin >= 0.5.1
Requires:       python-babel
Requires:       python-webtest >= 1.2.3
Requires:       python-backlash
Requires:       python-gearbox
Requires:       python-alembic
Requires:       python-genshi
Requires:       python-tw2-forms


%description
This package contains various paster commands and templates used for
TurboGears2 development.


%prep
%setup -q -n tg.devtools-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
chmod -x %{buildroot}%{python_sitelib}/devtools/templates/turbogears/setup.*
chmod -x %{buildroot}%{python_sitelib}/devtools/templates/turbogears/ez_setup/README.txt
chmod -x %{buildroot}%{python_sitelib}/devtools/templates/tgext/tgext/+package+/__init__.py_tmpl
chmod -x %{buildroot}%{python_sitelib}/devtools/templates/turbogears/ez_setup/__init__.py
sed -i '1s/^#!python//' %{buildroot}%{python_sitelib}/devtools/templates/tgext/ez_setup/__init__.py
sed -i '1s/^#!python//' %{buildroot}%{python_sitelib}/devtools/templates/turbogears/ez_setup/__init__.py


%check
PYTHONPATH=$(pwd) nosetests


%files
%doc
%{python_sitelib}/devtools/
%{python_sitelib}/tg.devtools-%{version}-*.egg-info/


%changelog
* Mon Apr 15 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.2
- Require genshi, alembic, tw2-forms, tgext-admin >= 0.5.1,
  and webtest >= 1.2.3

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.1
- Update to the latest 2.3.0 snapshot
- Modernize specfile and update deps

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Luke Macken <lmacken@redhat.com> - 2.1.1-5
- Patch out the hard requirement on repoze.who==1.0.19
- Require python-coverage to get the quickstart tests passing

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1.1-3
- iCorrect conditional RHEL5 requires so they don't also pick up Fedora

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 15 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1
- Reenable test suite

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Luke Macken <lmacken@redhat.com> - 2.1-1
- Update to 2.1 final

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.3.b2dev
- Pre-RC1 development snapshot
- Get the test suite running

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-0.2.b2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.1.b2
- Update to 2.1b2

* Tue Nov 10 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-5
- Require python-babel, needed to run the default quickstart

* Wed Oct 21 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-4
- Remove sa05 patch, since SQLAlchemy 0.5 is now in Fedora 11+

* Thu Oct 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-3
- Apply patch from #468804 to fix version requirements

* Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-2
- Update SQLAlchemy0.5 patch
- Include both version of SQLAlchemy to get the test suite to run

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-1
- 2.0.2

* Fri Jun 26 2009 Luke Macken <lmacken@redhat.com> - 2.0-9
- Update the sa05 patch to work with sqlalchemy-migrate 0.4 and 0.5

* Tue Jun 23 2009 Luke Macken <lmacken@redhat.com> - 2.0-8
- Hack around a setuptools bug to get the test suite to pass
  with both SQLAlchemy 0.4 and 0.5 installed in the same site-packages

* Wed Jun 17 2009 Luke Macken <lmacken@redhat.com> - 2.0-7
- Add a patch to get things working with SQLAlchemy 0.5

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-6
- Add a patch to "fix" the test_pastetemplate.TestQuickStart.test_admin unit test
- Enable the test suite.

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-5
- Add python-catwalk to the BuildRequires
- Require python-hashlib on FC6 and below.

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-4
- Conditionally require python-sqlite2

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-3
- Require python-catwalk

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-2
- Require python-repoze-who-testutil

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 2.0-1
- Update to 2.0 final
- Sync our requirements
- Remove the setuptools wsgiref patch
- Disable unit tests until Catwalk is packaged

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.2.a4
- Swap out tg.ext.repoze.who for tgext.authorization

* Sun Oct 26 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.1.a4
- Initial package
